#!/bin/sh

TWG_DIRECTORY_ROOT="`dirname "$0"`/.."
TWG_DIRECTORY_ROOT=`cd "$TWG_DIRECTORY_ROOT" && pwd`
TWG_DIRECTORY_BIN="$TWG_DIRECTORY_ROOT/bin"
TWG_DIRECTORY_DATA="$TWG_DIRECTORY_ROOT/data"
USMI_PLUGINS_DIR="$TWG_DIRECTORY_ROOT/lwi/runtime/USMiMain/eclipse/plugins"
USMI_CAS_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.usmi.client.cas_1.0.0"
USMI_CAS_IMPL_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.usmi.client.cas.usmiimpl_1.0.0"
USMI_LIBS_PLUGIN="$USMI_PLUGINS_DIR/com.tivoli.twg.libs_1.0.0"

CP="$USMI_CAS_IMPL_PLUGIN/casclientusmiimpl.jar"
CP="$CP:$USMI_CAS_IMPL_PLUGIN/StandaloneCrypto.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/aspectjrt.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-agent-client.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-aspects.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-manager-client-1.3.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-manager-services.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-rm-nls.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-sdk.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/cas-utils.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/CDB_UTILS.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/CDM.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/gsl.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/guid.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/icl.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/icu4j.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/j2ee.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/org.eclipse.osgi.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/slp.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/WebServices.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/WS-Security.jar"
CP="$CP:$USMI_CAS_PLUGIN/lib/wsosgi.jar"
CP="$CP:$USMI_LIBS_PLUGIN/classes/DirLibs.jar"
cd "$TWG_DIRECTORY_BIN"
"$TWG_DIRECTORY_ROOT/jre/bin/java" -Dtwg.directory.root="$TWG_DIRECTORY_ROOT" \
-Djava.util.logging.config.file="$TWG_DIRECTORY_DATA/usmi-cas-setup.properties" \
-cp "$CP" com.ibm.usmi.client.cas.setup.CasSetup "$@"
exit $?

