<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:output doctype-system="http://www.w3.org/TR/REC-html40/loose.dtd"
            doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
<xsl:template match="TWGEventActionPlanMgr">
<html>
<head>
<title>
<xsl:value-of select="@Title"/>
</title>
</head>
<body>
<CENTER><H2><B><font color="red"><xsl:value-of select="@Title"/></font></B></H2></CENTER>
 <center><i><B><xsl:value-of select="@TimeGenerated"/></B></i></center>
 <p></p>

 <OL TYPE="1" >
    <xsl:for-each select="TWGEventActionPlan">
    <LI>
        <B><I><xsl:value-of select="@Title"/></I></B>
        <B><I><xsl:text> : </xsl:text></I></B>
        <xsl:value-of select="@planName"/>
        <UL>
        <xsl:for-each select="TWGEventFilter">
                <LI>
                <P></P>                
                <B><I><xsl:value-of select="@Title"/></I></B>
                <B><I><xsl:text> : </xsl:text></I></B>                
                <xsl:value-of select = "@TWGEventFilterName"/>
			<UL>
			<LI>
                                <B><I><xsl:value-of select="TWGEventFilterType/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventFilterType">
                                    <UL><LI>
                                    <xsl:value-of select = "@Type"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventFilterEventType/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventFilterEventType">
                                    <UL><LI>
                                    <xsl:value-of select = "@Type"/> 
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGExcludedEvent/@Title"/> </I></B>
                                <xsl:for-each select="TWGExcludedEvent/TWGEventFilterEventType">
                                    <UL><LI>
                                    <xsl:value-of select = "@Type"/>
                                    </LI></UL>
                                </xsl:for-each>
                                

                                <B><I><xsl:value-of select="TWGEventSeverity/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventSeverity">
                                    <UL><LI>
                                    <xsl:value-of select = "@Severity"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventDayTime/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventDayTime">
                                    <UL><LI>
                                    <xsl:value-of select = "@DayTime"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventCategory/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventCategory">
                                    <UL><LI>
                                    <xsl:value-of select = "@Type"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventFilterEventType/TWGEventExtendedAttribute/@Title"/> </I></B>
                                    <xsl:for-each select="TWGEventFilterEventType/TWGEventExtendedAttribute">
                                    <xsl:for-each select="TWGEventFilterDetail">
                                    <table border="1" cellpadding = "6">
                                      <xsl:for-each select="TWGEventDetailValue">
                                        <tr>
                                            <td>
                                            <xsl:value-of select = "..//@Label"/>
                                            </td>

                                            <td>
                                            <xsl:value-of select = "@Operator"/>
                                            </td>

                                            <td>
                                            <xsl:value-of select = "@Value"/>
                                            </td>
                                         </tr>
                                       </xsl:for-each>
                                     </table>
                                     </xsl:for-each>
                                     </xsl:for-each>
                                 <B><I><xsl:value-of select="TWGEventSysVars/@Title"/> </I></B>
                                    <xsl:for-each select="TWGEventSysVars">
                                    <xsl:for-each select="TWGEventFilterDetail">
                                    <table border="1" cellpadding = "6">
                                      <xsl:for-each select="TWGEventDetailValue">
                                        <tr>
                                            <td>
                                            <xsl:value-of select = "..//@Label"/>                                             </td>

                                            <td>
                                            <xsl:value-of select = "@Operator"/>
                                            </td>

                                            <td>
                                            <xsl:value-of select = "@Value"/>
                                            </td>
                                         </tr>
                                       </xsl:for-each>
                                     </table>
                                     </xsl:for-each>
                                     </xsl:for-each>
                                <B><I><xsl:value-of select="TWGEventThreshold/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventThreshold">
                                    <UL><LI>
                                    <xsl:value-of select = "@Threshold"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventInterval/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventInterval">
                                    <UL><LI>
                                    <xsl:value-of select = "@Interval"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventConsole/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventConsole">
                                    <UL><LI>
                                    <xsl:value-of select = "@ConsoleUnit"/>
                                    </LI></UL>
                                </xsl:for-each>

                                <B><I><xsl:value-of select="TWGEventCount/@Title"/> </I></B>
                                <xsl:for-each select="TWGEventCount">
                                    <UL><LI>
                                    <xsl:value-of select = "@Count"/>
                                    </LI></UL>
                                </xsl:for-each>                                                                

                                <xsl:for-each select="TWGAction">
					<UL>
	                                <LI>
        	                        <P></P>
                	                <B><I><xsl:value-of select="@Title"/> </I></B>
                        	        <B><I><xsl:text> : </xsl:text></I></B>
                                	<xsl:value-of select = "@actionName"/>
                                        <xsl:for-each select="TWGActionParms">
                                        <table border="1" cellpadding = "6">
	                                        <tr>
        	                                    <td><xsl:value-of select = "@actionParmLabel"/></td>
                	                            <td><xsl:value-of select = "@actionParmValue"/></td>
                        	                </tr>
                                        </table>
                                        </xsl:for-each>
                                        <table border="1" cellpadding = "6">       
	                                        <tr>
        	                                        <td><xsl:value-of select = "@actionParmLocaleLabel"/></td>
                	                                <td><xsl:value-of select = "@actionParmLocale"/></td>
                        	                </tr>
                                	        <tr>
                                        	        <td><xsl:value-of select = "@actionParmTimeZoneLabel"/></td>
                                                	<td><xsl:value-of select = "@actionParmTimeZone"/></td>
	                                        </tr>
                                        </table>
	                                </LI>
					</UL>
                                </xsl:for-each>
			</LI>
			</UL>
                </LI>
        </xsl:for-each>
        </UL>

      <hr></hr>
      </LI>
    </xsl:for-each>
  </OL>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
